Index: /palm/trunk/SOURCE/netcdf_data_input_mod.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 3346)
+++ /palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 3347)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Subroutine renamed
+! 
+! 3257 2018-09-17 17:11:46Z suehring
 ! (from branch resler)
 ! Formatting
@@ -678,7 +681,7 @@
     END INTERFACE netcdf_data_input_init_lsm
 
-    INTERFACE netcdf_data_input_lsf
-       MODULE PROCEDURE netcdf_data_input_lsf
-    END INTERFACE netcdf_data_input_lsf
+    INTERFACE netcdf_data_input_offline_nesting
+       MODULE PROCEDURE netcdf_data_input_offline_nesting
+    END INTERFACE netcdf_data_input_offline_nesting
 
     INTERFACE netcdf_data_input_surface_data
@@ -735,5 +738,5 @@
            netcdf_data_input_init, netcdf_data_input_init_lsm,                 &
            netcdf_data_input_init_3d,                                          &
-           netcdf_data_input_interpolate, netcdf_data_input_lsf,               &
+           netcdf_data_input_interpolate, netcdf_data_input_offline_nesting,   &
            netcdf_data_input_surface_data, netcdf_data_input_topo
 
@@ -3078,5 +3081,5 @@
 !> (COSMO) by Inifor.
 !------------------------------------------------------------------------------!
-    SUBROUTINE netcdf_data_input_lsf
+    SUBROUTINE netcdf_data_input_offline_nesting
 
        USE control_parameters,                                                 &
@@ -3157,5 +3160,5 @@
 !
 !--    Obtain time index for current input starting at 0.
-!--    @todo: At the moment time, in INIFOR and simulated time correspond
+!--    @todo: At the moment INIFOR and simulated time correspond
 !--           to each other. If required, adjust to daytime.
        nest_offl%tind = MINLOC( ABS( nest_offl%time -                          &
@@ -3348,5 +3351,5 @@
        CALL cpu_log( log_point_s(86), 'NetCDF input forcing', 'stop' )
 
-    END SUBROUTINE netcdf_data_input_lsf
+    END SUBROUTINE netcdf_data_input_offline_nesting
 
 
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 3346)
+++ /palm/trunk/SOURCE/parin.f90	(revision 3347)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! - offline nesting separated from large-scale forcing module
+! - top boundary condition for pressure in offline nesting changed
+! 
+! 3343 2018-10-15 10:38:52Z suehring
 ! Introduced reading of date_init to inipar.(Russo)
 ! Add extra profiles for chemistry (basit)
@@ -477,4 +481,7 @@
         ONLY:  mas_parin
 
+    USE nesting_offl_mod,                                                      &
+        ONLY:  nesting_offl_parin
+        
     USE netcdf_interface,                                                      &
         ONLY:  netcdf_data_format, netcdf_deflate, netcdf_precision
@@ -570,5 +577,5 @@
              loop_optimization, lsf_exception, masking_method, mg_cycles,      &
              mg_switch_to_pe0_level, mixing_length_1d, momentum_advec,         &
-             most_method, nesting_offline,                  &
+             most_method,                                                      &
              netcdf_precision, neutral, ngsrb,                                 &
              nsor, nsor_ini, nudging, nx, ny, nz, ocean_mode, omega,           &
@@ -643,5 +650,5 @@
              loop_optimization, lsf_exception, masking_method, mg_cycles,      &
              mg_switch_to_pe0_level, mixing_length_1d, momentum_advec,         &
-             most_method, nesting_offline,                                     &
+             most_method,                                                      &
              netcdf_precision, neutral, ngsrb,                                 &
              nsor, nsor_ini, nudging, nx, ny, nz, ocean_mode, omega,           &
@@ -878,4 +885,5 @@
           CALL gust_parin
           CALL mas_parin
+          CALL nesting_offl_parin
           CALL ocean_parin
           CALL pcm_parin
@@ -979,5 +987,12 @@
            !  bc_s_t   = 'nesting_offline'  ! scalar boundary condition is not clear
            !  bc_cs_t  = 'nesting_offline'  ! same for chemical species
-             bc_p_t   = 'neumann'
+!
+!--          For the pressure set Dirichlet conditions, in contrast to the 
+!--          self nesting. This gives less oscilations within the 
+!--          free atmosphere since the pressure solver has more degrees of 
+!--          freedom. In constrast to the self nesting, this might be 
+!--          justified since the top boundary is far away from the domain
+!--          of interest. 
+             bc_p_t   = 'dirichlet' !'neumann'
           ENDIF
 
Index: /palm/trunk/SOURCE/pres.f90
===================================================================
--- /palm/trunk/SOURCE/pres.f90	(revision 3346)
+++ /palm/trunk/SOURCE/pres.f90	(revision 3347)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Bugfixes in offline nesting.
+! Add comment. 
+! 
+! 3341 2018-10-15 10:31:27Z suehring
 ! Rename variables for boundary flags and nesting
 ! 
@@ -169,5 +173,6 @@
                dt_3d, gathered_size, ibc_p_b, ibc_p_t,                         &
                intermediate_timestep_count, intermediate_timestep_count_max,   &
-               mg_switch_to_pe0_level, psolver, subdomain_size,                &
+               mg_switch_to_pe0_level, nesting_offline,                        &
+               psolver, subdomain_size,                                        &
                topography, volume_flow, volume_flow_area, volume_flow_initial
 
@@ -386,5 +391,5 @@
     ENDIF
 
-    IF ( ibc_p_b == 1  .AND.  ibc_p_t == 1  .AND.                               &
+    IF ( ibc_p_b == 1  .AND.  ibc_p_t == 1  .AND.  .NOT. nesting_offline  .AND. &
          .NOT. child_domain_nvn  .AND. intermediate_timestep_count /= 0 )       &
     THEN
@@ -719,5 +724,11 @@
        volume_flow_l(2) = 0.0_wp
     ENDIF
-
+!
+!-- Add pressure gradients to the velocity components. Note, the loops are
+!-- running over the entire model domain, even though, in case of non-cyclic 
+!-- boundaries u- and v-component are not prognostic at i=0 and j=0, 
+!-- respectiveley. However, in case of Dirichlet boundary conditions for the 
+!-- velocities, zero-gradient conditions for the pressure are set, so that
+!-- no modification is imposed at the boundaries. 
     !$OMP PARALLEL PRIVATE (i,j,k)
     !$OMP DO
